package site

import (
	"context"

	pb "bsm/full/module/base/cms/pb"
	"git.apinb.com/bsm-sdk/core/service"
)

// 站点列表
func Fetch(ctx context.Context, in *pb.Empty) (reply *pb.SiteListReply, err error) {
	// parse authorization meta.
	_, err = service.ParseMetaCtx(ctx, nil)
	if err != nil {
		return nil, err
	}

	// TODO: valid code

	// TODO: add your logic code & delete this line.

	return
}
